# By Adam le 08/01/2023 ----------------------

def fibonacci(n):
    # Initialiser le tableau des résultats à 0
    t = [0] * (n+1)

    # Cas de base : F[0] = 0 et F[1] = 1
    t[0] = 0
    t[1] = 1

    # Calculer les valeurs de F[2] à F[n]
    for i in range(2, n+1):
        t[i] = t[i-1] + t[i-2]

    # Renvoyer le résultat
    return t[n]

print(fibonacci(1))
print(fibonacci(2))
print(fibonacci(25))
print(fibonacci(45))